## GESTrackImageSource

GESTrackImageSource — outputs the video stream from a media file as a still image.

## Synopsis

    #include <ges/ges.h>

                        GESTrackImageSource;
    GESTrackImageSource *  ges_track_image_source_new       (gchar *uri);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTrackObject
                   +----GESTrackSource
                         +----GESTrackImageSource

## Properties

      "uri"                      gchar*                : Read / Write / Construct Only

## Description

Outputs the video stream from a given file as a still frame. The frame chosen will be determined by the in-point property on the track object. For image files, do not set the in-point property.

## Details

### GESTrackImageSource

    typedef struct _GESTrackImageSource GESTrackImageSource;

### ges_track_image_source_new ()

    GESTrackImageSource *  ges_track_image_source_new       (gchar *uri);

Creates a new GESTrackImageSource for the provided `uri`.

`uri` : | the URI the source should control
Returns : | A new GESTrackImageSource.

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The location of the file/resource to use.

Default value: NULL